function Weights = fixWeights(Weights,m,n)
%  Weights = fixWeights(Weights,m,n);
%
%  check if local Weights are positive and correctly sized
%
%  Inputs: Weights -- a matrix carrying weight
%            [m,n] -- size of image
%
%  Output: Weights -- correct weights
%

if isscalar(Weights) && Weights == 1
    Weights = ones([m,n]);
else
    [mW,nW] = size(Weights);
    if mW ~= m || nW ~= n
        error('Wrong SIZED Weights !');
    end
    if ~isempty(find(Weights <= 0, 1))
        error('Weights must be positive!');
    end
end
